package com.sy.coinage.workshop.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import org.springframework.stereotype.Service;

import com.sy.coinage.workshop.dao.CheckBackupDao;
import com.sy.coinage.workshop.model.*;
import com.sy.coinage.workshop.service.ICheckBackupService;

/**
 * -抽检登记信息ServiceImpl
 */
@Service
public class CheckBackupServiceImpl extends ServiceImpl<CheckBackupDao, CheckBackup> implements ICheckBackupService {
    @Override
    public CheckBackup getByRfidSerialNumber(String rfid, String serialNumber) {
        LambdaQueryWrapper<CheckBackup> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(CheckBackup::getRfid, rfid);
        queryWrapper.eq(CheckBackup::getSerialNumber, serialNumber);
        return this.getOne(queryWrapper);
    }

}
